#include "..\script_component.hpp"

params [["_armory_data", [[],[],[],[]], [[]]], ["_garage_data", [[],[],[],[],[],[]], [[]]]];

if (count _armory_data != 4) then { _armory_data = [[],[],[],[]] };
if (count _garage_data != 6) then { _garage_data = [[],[],[],[],[],[]] };

GVAR(gear_box) = "ReammoBox_F" createVehicleLocal [0, 0, -999];
[GVAR(gear_box), false, false] call AFUNC(arsenal,initBox);

GVAR(pdb_mode) = "PDB_MODE" call BFUNC(getParamValue);
GVAR(armory_type) = "ARS_TYPE" call BFUNC(getParamValue);

GVAR(armory_unlocks) = _armory_data;
GVAR(garage_unlocks) = _garage_data;

GVAR(item_unlocks) = _armory_data # 0;
GVAR(weapon_unlocks) = _armory_data # 1;
GVAR(magazine_unlocks) = _armory_data # 2;
GVAR(backpack_unlocks) = _armory_data # 3;

GVAR(car_unlocks) = _garage_data # 0;
GVAR(armor_unlocks) = _garage_data # 1;
GVAR(heli_unlocks) = _garage_data # 2;
GVAR(plane_unlocks) = _garage_data # 3;
GVAR(naval_unlocks) = _garage_data # 4;
GVAR(static_unlocks) = _garage_data # 5;

TRACE_2("Arsenal System Initialized with defaults",count GVAR(armory_unlocks),count GVAR(garage_unlocks));